<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__gatt__attribute__request__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_gatt_attribute_request_t</compoundname>
    <includes local="no">wiced_bt_gatt.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__gatt__attribute__request__t_1acd1f5a1d1740563eb9c4c56f411a1c68" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_gatt_attribute_request_t::conn_id</definition>
        <argsstring />
        <name>conn_id</name>
        <briefdescription>
<para>ID of the connection. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="741" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="741" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__attribute__request__t_1a4f8b78f0210f2f8e5ee66463f90be70a" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__wicedbt__gatt_1ga8206854d3618f19a8677299340aa28ac">wiced_bt_gatt_request_type_t</ref></type>
        <definition>wiced_bt_gatt_request_type_t wiced_bt_gatt_attribute_request_t::request_type</definition>
        <argsstring />
        <name>request_type</name>
        <briefdescription>
<para>Request type (see <ref kindref="member" refid="group__wicedbt__gatt_1ga72d36441600899c88b595eaece9507d5">wiced_bt_gatt_request_type_t </ref>) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="742" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="742" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__attribute__request__t_1abf3853f2f933bb4477e30185d3f88f77" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="unionwiced__bt__gatt__request__data__t">wiced_bt_gatt_request_data_t</ref></type>
        <definition>wiced_bt_gatt_request_data_t wiced_bt_gatt_attribute_request_t::data</definition>
        <argsstring />
        <name>data</name>
        <briefdescription>
<para>Information about attribute being request (dependent on request type) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="743" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="743" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>GATT attribute request (used by GATT_ATTRIBUTE_REQUEST_EVT notification) </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="121">
        <label>wiced_bt_gatt_request_data_t</label>
        <link refid="unionwiced__bt__gatt__request__data__t" />
        <childnode refid="122" relation="usage">
          <edgelabel>read_req</edgelabel>
        </childnode>
        <childnode refid="123" relation="usage">
          <edgelabel>validate_read_req</edgelabel>
        </childnode>
        <childnode refid="124" relation="usage">
          <edgelabel>write_req</edgelabel>
        </childnode>
      </node>
      <node id="120">
        <label>wiced_bt_gatt_attribute_request_t</label>
        <link refid="structwiced__bt__gatt__attribute__request__t" />
        <childnode refid="121" relation="usage">
          <edgelabel>data</edgelabel>
        </childnode>
      </node>
      <node id="122">
        <label>wiced_bt_gatt_read_t</label>
        <link refid="structwiced__bt__gatt__read__t" />
      </node>
      <node id="123">
        <label>wiced_bt_gatt_validate_read_t</label>
        <link refid="structwiced__bt__gatt__validate__read__t" />
      </node>
      <node id="124">
        <label>wiced_bt_gatt_write_t</label>
        <link refid="structwiced__bt__gatt__write__t" />
      </node>
    </collaborationgraph>
    <location bodyend="744" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="739" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="740" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__gatt__attribute__request__t_1acd1f5a1d1740563eb9c4c56f411a1c68" virt="non-virtual"><scope>wiced_bt_gatt_attribute_request_t</scope><name>conn_id</name></member>
      <member prot="public" refid="structwiced__bt__gatt__attribute__request__t_1abf3853f2f933bb4477e30185d3f88f77" virt="non-virtual"><scope>wiced_bt_gatt_attribute_request_t</scope><name>data</name></member>
      <member prot="public" refid="structwiced__bt__gatt__attribute__request__t_1a4f8b78f0210f2f8e5ee66463f90be70a" virt="non-virtual"><scope>wiced_bt_gatt_attribute_request_t</scope><name>request_type</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>